/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';

.nueris-search-holder {
  .ant-form-item {
    margin-bottom: 0;
  }
  .ant-form-item-label {
    padding: 0;
  }
  .hint {
    display: block;
    margin-bottom: 8px;
    padding-left: 0;
  }
  .search-field {
    margin-bottom: 20px;
    .ant-input-wrapper {
      .ant-input {
        line-height: 40px;
        padding: 3px 11px;
        border: 0;
        background: transparent;
        font-size: 1.8rem;
        &:hover,
        &:focus {
          box-shadow: none;
        }
        &::placeholder {
          color: @text-disabled-blue-4-bg;
          font-size: 1.8rem;
        }
      }
      .ant-input-affix-wrapper {
        border: 1px solid @platform-blue2;
        padding: 0;
        border-radius: 3px;
        &:hover,
        &.ant-input-affix-wrapper-focused {
          border-color: @platform-blue2;
          box-shadow: inset 0px 0px 0px 1px @platform-blue2;
        }
      }
      button {
        height: 48px;
        &.ant-btn-primary {
          background: @platfrom-blue1;
          border-radius: 0 3px 3px 0 !important;
          &:hover,
          &:focus {
            background: @platform-text-color;
          }
        }
      }
      .btn-clear {
        height: 17px;
        color: @platform-text-color;
        span {
          text-decoration: underline;
        }
        &.hidden {
          display: none;
        }
        &:hover {
          background-color: black;
          &::after {
            color: white;
          }
        }
      }
    }
  }
  .search-loader {
    text-align: center;
    &:after {
      display: block;
      content: '';
      margin-bottom: 10px;
    }
  }
}

.suggestions-holder {
  .title {
    font-size: 1.6rem;
    font-weight: 500;
    margin: 0 0 20px;
    display: block;
  }
  .suggestions-list {
    margin: 0;
    padding: 7px 0;
    list-style: none;
    font-size: 1.6rem;
    line-height: 20px;
    li {
      width: 100%;
      overflow: hidden;
      padding: 7px 0;
      .ant-btn {
        float: right;
        font-size: 1.4rem;
        line-height: 20px;
        font-weight: 500;
        color: @platform-text-color;
        &:hover {
          background: @platform-text-color;
        }
        span {
          text-decoration: underline;
        }
      }
      .owner,
      .already-added {
        float: right;
      }
    }
  }
}
